2017-10-18 18:11 ACDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000491GCC - GNU C CompilerBugpublic2015-01-20 05:36
Reporterdmik 
Assigned Topsmedley 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000491: GCC 4.4.2 prepends an asterisk ('*') to the symbols with the _System attribute
DescriptionThe full description of the problem is here: http://svn.netlabs.org/libc/ticket/220 [^] (comment 3).

Back then, I fixed this in emxomf.exe but the correct place to fix the problem is GCC.

I can't recall any test case for that ATM though. I will post one if I'm able to reproduce it.

This applies to GCC 4.4.2 in the first place and I guess to all later versions as well.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002032

psmedley (administrator)

A testcase would be good - but I'm wondering if the latest GCC 4.4.6 (with the git.diff I sent you) still does this?

I will upload a new public build once I complete some more testing

~0003015

dmik (reporter)

Paul, haven't you fixed this within https://github.com/psmedley/gcc/issues/9? By this change set (https://github.com/psmedley/gcc/commit/3aa27ca0f8bd03e83bfe52e9af5392ce89dea18f). If so, this one needs to be closed I think.

~0003016

psmedley (administrator)

fixed
+Notes

-Issue History
Date Modified Username Field Change
2011-10-04 18:25 dmik New Issue
2011-11-01 18:57 psmedley Note Added: 0002032
2015-01-20 01:03 dmik Note Added: 0003015
2015-01-20 05:36 psmedley Note Added: 0003016
2015-01-20 05:36 psmedley Status new => resolved
2015-01-20 05:36 psmedley Resolution open => fixed
2015-01-20 05:36 psmedley Assigned To => psmedley
+Issue History